; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[platformio]
src_dir = .
globallib_dir = ../lib

[env]
platform = espressif32
board = esp32-s3-devkitc-1
framework = arduino
build_flags =
    -DARDUINO_USB_MODE=1
    -DARDUINO_USB_CDC_ON_BOOT=1
    -DBOARD_HAS_PSRAM
    -DLV_CONF_INCLUDE_SIMPLE
    -O2

;platform_packages =
;    framework-arduinoespressif32@https://github.com/espressif/arduino-esp32.git#2.0.5

;framework version 2.0.3
; board_build.arduino.memory_type = qspi_opi
; board_build.memory_type = qspi_opi

;framework version  2.0.4-2.0.5
board_build.arduino.memory_type = qio_opi
board_build.memory_type = qio_opi

; Custom Dice Device modifications
;board_upload.speed = 921600                 ; Increase upload speed (921600 is already unreliable)
board_build.partitions = max_app_8MB.csv    ; Use non-default partitioning that maximizes room for app in flash memory, see https://community.platformio.org/t/esp32-flash-memory-size/26669/13

[env:Release]

[env:Debug]
debug_tool = esp-builtin
build_type = debug
debug_build_flags = -O0 -ggdb3 -g3
;debug_init_break = break setup

